### Virtual Method

# Pango Fontset foreach

#### Declaration [src]

    void
    foreach (
      PangoFontset* fontset,
      PangoFontsetForeachFunc func,
      gpointer data
    )

#### Description [src]

Iterates through all the fonts in a fontset, calling `func` for each one.

If `func` returns `TRUE`, that stops the iteration.

Available since: | 1.4

#### Parameters

`func` | `PangoFontsetForeachFunc`
| Callback function.
`data` | `gpointer`
| Data to pass to the callback function.